ASTSCRIPT-COLOR-FAINT-GRAY(1)

NAME
astscript-color-faint-gray - RGB image from FITS images showing bright and faint features

SYNOPSIS
astscript-color-faint-gray [OPTION] R.fits G.fits B.fits K.fits

DESCRIPTION
This script is part of GNU Astronomy Utilities 0.24.

This script generates a color image from three different images (RGB). In order to show the entire range of pixel values, an asinh transformation is used. For more on the definiton of this algorithm see Lupton et al. 2004:

    https://doi.org/10.1086/382245

For more information, please run any of the following commands. In particular the first contains a very comprehensive explanation of this script's invocation: expected input(s), output(s), and a full description of all the options.

Inputs/Outputs and options:
    $ info astscript-color-faint-gray

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

  astscript-color-faint-gray options:

    Input:

-h, --hdu=STR
    HDU/extension for the input channels.

-r, --reghdu=STR
    HDU/extension for the regions image.

-g, --globalhdu=STR/INT Use this HDU for all inputs, ignore '--hdu'.

-w, --weight=FLT
    Relative weight for each input channel.

-m, --minimum=FLT
    Minimum value for each input channel.

-z, --zeropoint=FLT
    Zero point magnitude of each input channel.

    Asinh scaling parameters

-Q, --qbright=FLT
    Parameter for bringing out brighter features.

-s, --stretch=FLT
    Linear stretching parameter for faint features.

    Contrast, bias, and marks

-b, --bias
    Constant (bias) to add to all the pixels (linear).

-c, --contrast
    Change the contrast of the final image (linear).

-G, --gamma
    Gamma (nonlinear, overrides bias/contrast).

--markoptions=STR
    Options to add marks (passed to ConvertType).

    Color and gray parameters

--coloronly
    No grayscale regions, background in color (black).

--regions=STR
    Regions labeled image (color=2, black=1, gray=0).

--grayval=FLT
    Gray threshold (highest value to use grayscale).

--colorval=FLT
    Color threshold (lowest value to have color).

--graykernelfwhm=FLT
    Kernel FWHM for convolving the background image.

--colorkernelfwhm=FLT Kernel FWHM for color separation ref. image.

    Output:

-k, --keeptmp
    Keep temporary/auxiliar files.

-o, --output
    Output color image name.

--checkparams
    Print distribution of values used to find params.

    Operating mode:

-h, --help
    Print this help list.

-q, --quiet
    Don't print the list.

-V, --version
    Print program version.

--cite
    BibTeX citation for this program.

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2021-2025, Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Raul Infante-Sainz and Mohammad Akhlaghi.

SEE ALSO
The full documentation for astscript-color-faint-gray is maintained as a Texinfo manual. If the info and astscript-color-faint-gray programs are properly installed at your site, the command

    info astscript-color-faint-gray

should give you access to the complete manual.